[Deprecated]: Get list of study roles for an organization
get
/ec-auth-svc/rest/v1.0/studyroles
Deprecated: This endpoint for querying tenant study roles is deprecated. Use '/v3.0/studyroles/' in AuthStudyRolesResourceV3 for improved filtering, parameter names, and response payload that includes enhanced details and field mappings. The new API returns the same information but supports additional query parameters for advanced searches.
Request
Query Parameters
-
searchString(required): string
String to search for in role attributes.Example:
site -
studyRoleName(required): string
Name filter for study role.Example:
MONITOR -
studyRoleStatus(required): string
Status filter for study role.Example:
ACTIVE -
studyRoleType(required): string
Type filter for study role.Example:
Design
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful response.
Root Schema : schema
Type:
Show Source
array-
Array of:
object StudyRoleDtoParams
Title:
StudyRoleDtoParamsParameters for a study role, including inherited version validity.
Nested Schema : StudyRoleDtoParams
Type:
objectTitle:
StudyRoleDtoParamsParameters for a study role, including inherited version validity.
Show Source
-
roleId: string
(uuid)
Role identifier, if relevant.
-
studyId: string
(uuid)
Study identifier, if applicable.
-
studyRoleCreationType(required): string
Method used to create the study role (e.g., MANUAL, AUTO).Example:
AUTO -
studyRoleDesc(required): string
Description of the study role.Example:
Monitor role grants viewing and edit capabilities. -
studyRoleId(required): string
(uuid)
Unique identifier for the study role.
-
studyRoleName(required): string
Name of the study role.Example:
MONITOR -
studyRoleStatus(required): string
Current status of the study role (e.g., ACTIVE, INACTIVE).Example:
ACTIVE -
studyRoleType(required): string
Type of the study role (e.g., SITE, STUDY).Example:
SITE -
versionEnd: string
(date-time)
End date for the object's version validity. ISO 8601 format.Example:
2025-06-17T10:15:30Z -
versionStart: string
(date-time)
Start date for the object's version validity. ISO 8601 format.Example:
2020-06-17T10:15:30Z
Examples
400 Response
Bad request. Invalid query parameters.
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object